<?php
namespace HCM\FPA\Repository;

use Doctrine\DBAL\Connection;
use Doctrine\ORM\EntityManager;
use HCM\Util\Repositories;

class FormularioCagedRepository {
    
    protected  $connection;
    public function __construct(Connection $connection, EntityManager $entityManager) {
        $this->connection = $connection;
        $this->entityManager = $entityManager;
    }
    
    
    public function totalRegistrosPorTipo($nrorg, $mesCompetencia, $tipoRegistro, $cdoperador){
        
        $params = array('nrorg'=>$nrorg, 'mescompetencia'=>$mesCompetencia, 'idtiporegistro'=>$tipoRegistro, 'cdoperinclusao' => $cdoperador);
        $fpacagedmagnet = Repositories::FPA_CAGEDMAGNET;
        
$sql = <<<SQL
SELECT count(c) FROM $fpacagedmagnet c
WHERE c.nrorg = :nrorg
  AND c.idtiporegistro = :idtiporegistro
  AND c.mescompetencia = :mescompetencia
  AND c.cdoperinclusao = :cdoperinclusao
SQL;
        $result = $this->entityManager->createQuery($sql)->execute($params);
        if(!empty($result))
            return $result[0];
        else 
            return $result;
    }
    
} 
