-- ============================================================
-- Database name: FOLHA
-- Created on: 28/11/2019 
-- ============================================================
-- ============================================================
-- TABLE: VAB_BENEFICIOCCT
-- ============================================================

/*Campos de desconto para quem não é associado*/
ALTER TABLE VAB_BENEFICIOCCT ADD VRPARTICIPATITULAR FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRPISOTITULAR FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRTETOTITULAR FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRPARTICIPADEPE FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRPISODEP FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRTETODEP FLOAT
/

/*Campos para validação de jornada reduzida*/
ALTER TABLE VAB_BENEFICIOCCT ADD QTMAXHSREDUZIDA FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD VRHSREDUZIDA FLOAT
/

/*Vínculos que perderão o benefício por possuírem eventos da respectiva incidência*/
ALTER TABLE VAB_BENEFICIOCCT ADD DSINCIDEVENPERDER VARCHAR2(2000) 
/
ALTER TABLE VAB_BENEFICIOCCT ADD QTMESRETROCMULT NUMBER
/
ALTER TABLE VAB_BENEFICIOCCT ADD QTMESRETROCSEMBEN NUMBER
/

/*Afastamento 1: Trabalhará em conjunto com o campo "Até Quantos Meses de Afastamento 1" e "Desconta Participação do Vínculo?"*/
ALTER TABLE VAB_BENEFICIOCCT ADD DSAFASTAMENTO1 VARCHAR2(2000)
/
ALTER TABLE VAB_BENEFICIOCCT ADD IDGERADESCAFAST1 VARCHAR2(1) default 'N' not null
        constraint CKC_IDGERADESCAFAST1 check (IDGERADESCAFAST1 in ('N','S'))
/

/*Afastamento 2: Trabalhará em conjunto com o campo "Até Quantos Meses de Afastamento 2" e Desconta Participação do Vínculo?*/
ALTER TABLE VAB_BENEFICIOCCT ADD DSAFASTAMENTO2 VARCHAR2(2000)
/
ALTER TABLE VAB_BENEFICIOCCT ADD QTMESMAXAFAST2 FLOAT
/
ALTER TABLE VAB_BENEFICIOCCT ADD IDGERADESCAFAST2 VARCHAR2(1) default 'N' not null
        constraint CKC_IDGERADESCAFAST2 check (IDGERADESCAFAST2 in ('N','S'))
/