-- ============================================================
-- Table: GER_VERIFICACAO
-- ============================================================
ALTER TABLE GER_VERIFICACAO ADD DSCONSULTAVERIFICAAUX VARCHAR2(4000)
/

-- ============================================================
-- Table: GER_PARAMVERIFICA
-- ============================================================
ALTER TABLE GER_PARAMVERIFICA ADD VRPARAMVERIFICAAUX VARCHAR2(100)
/

-- ============================================================
-- Table: GER_VERIFICACAO - UPDATE QUERIES
-- ============================================================
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFeriasVencer3Meses()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 1
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFuncionario2PeriodosAdquiridos()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 2
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFeriasAdquiridasEmAberto()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 3
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryContratoAVencer10Dias()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 4
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryRescisãoNaoCalculada()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 5
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFeriasNaoCalculadas()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 6
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryLicencaMaternidadeVencer10Dias()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 7
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFuncionarioSemEscalaTrabalho()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 8
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFuncionarioSemCargoFuncao()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 9
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFuncionarioRetornouSituacaoNormal()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 10
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryExameVencer15Dias()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 11
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryEPIVencer15Dias()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 12
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryExameVencido()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 13
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryEPIVencido()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 14
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryDataBaseSindicato()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 15
/
UPDATE GER_VERIFICACAO SET DSCONSULTAVERIFICAAUX = '@\Teknisa\Model\Gestaopessoas\Repositories\GerVerificacao::getQueryFuncionario2PeriodosAbertos()@', DTULTATU = SYSDATE WHERE NRVERIFICACAO = 16
/

-- ============================================================
-- Table: GER_PARAMVERIFICA - UPDATE PARAMS
-- ============================================================
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 1
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 2
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 3
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 4
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 5
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 6
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 7
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 8
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 9
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 10
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 11
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 12
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 13
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 14
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 15
/
UPDATE GER_PARAMVERIFICA SET VRPARAMVERIFICAAUX = '@\HCM\Util\FPA::getNrorgTrabalho()@' WHERE NMPARAMVERIFICA = 'P_NRORG' AND NRVERIFICACAO = 16
/